<?php
	
	/*-----------------------First highlight color-------------------*/

	$vw_interior_designs_first_color = get_theme_mod('vw_interior_designs_first_color');

	$vw_interior_designs_custom_css = '';

	if($vw_interior_designs_first_color != false){
		$vw_interior_designs_custom_css .='.search-box i, input[type="submit"], #footer .tagcloud a:hover, #sidebar .tagcloud a:hover, #footer-2, .scrollup i, #sidebar input[type="submit"], nav.woocommerce-MyAccount-navigation ul li, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .woocommerce span.onsale, .pagination span, .pagination a, #comments a.comment-reply-link, .toggle-nav i, #sidebar .widget_price_filter .ui-slider .ui-slider-range, #sidebar .widget_price_filter .ui-slider .ui-slider-handle, #sidebar .woocommerce-product-search button, #footer .widget_price_filter .ui-slider .ui-slider-range, #footer .widget_price_filter .ui-slider .ui-slider-handle, #footer .woocommerce-product-search button, #footer a.custom_read_more, #sidebar a.custom_read_more, #footer .custom-social-icons i:hover, #sidebar .custom-social-icons i:hover, .nav-previous a, .nav-next a, .woocommerce nav.woocommerce-pagination ul li a, #preloader, #footer .wp-block-search .wp-block-search__button, #sidebar .wp-block-search .wp-block-search__button,.bradcrumbs a:hover, .bradcrumbs span, .post-categories li a:hover,nav.navigation.posts-navigation .nav-previous a,.wp-block-tag-cloud a:hover,#sidebar label.wp-block-search__label, #sidebar .wp-block-heading, #sidebar h3,.woocommerce-account .addresses .title .edit,.wc-block-grid__product-onsale,.wp-block-woocommerce-cart .wc-block-components-product-badge, a.added_to_cart.wc-forward, a.wc-block-components-checkout-return-to-cart-button, .woocommerce-cart .wc-block-grid .wc-block-grid__product-onsale{';
			$vw_interior_designs_custom_css .='background-color: '.esc_attr($vw_interior_designs_first_color).';';
		$vw_interior_designs_custom_css .='}';
	}
	if($vw_interior_designs_first_color != false){
		$vw_interior_designs_custom_css .='#comments input[type="submit"].submit,.wp-block-woocommerce-cart .wc-block-cart__submit-button, .wc-block-components-checkout-place-order-button, .wc-block-components-totals-coupon__button,.wc-block-components-order-summary-item__quantity{';
			$vw_interior_designs_custom_css .='background-color: '.esc_attr($vw_interior_designs_first_color).'!important;';
		$vw_interior_designs_custom_css .='}';
	}
	if($vw_interior_designs_first_color != false){ 
		$vw_interior_designs_custom_css .=' .post-main-box:hover .video-btn a, .post-main-box:hover h3.section-title a, .cart_icon i, #footer h3, .woocommerce-info::before, .woocommerce-message::before, .post-main-box:hover h2 a, .post-main-box:hover .post-info a, .single-post .post-info:hover a, .post-navigation a:hover .post-title, .post-navigation a:focus .post-title,#footer li a:hover, .main-navigation ul.sub-menu a:hover, .main-navigation a:hover, .sidebar .textwidget p a, .textwidget p a, #comments p a, .slider .inner_carousel p a, .page-content i:hover, #footer .custom-social-icons i, #sidebar .custom-social-icons i, #sidebar ul li a:hover, .logo .site-title a:hover, #slider .more-btn a:hover, #video-section .video-btn a:hover, #slider .inner_carousel h1 a:hover, #footer .wp-block-search .wp-block-search__label,.wp-block-button .wp-block-button__link:hover, .wp-block-button .wp-block-button__link:focus{';
			$vw_interior_designs_custom_css .='color: '.esc_attr($vw_interior_designs_first_color).'!important;';
		$vw_interior_designs_custom_css .='}';
	}
	if($vw_interior_designs_first_color != false){
		$vw_interior_designs_custom_css .='.video-content, #footer .custom-social-icons i, #sidebar .custom-social-icons i, #footer .custom-social-icons i:hover, #sidebar .custom-social-icons i:hover,.wp-block-button__link{';
			$vw_interior_designs_custom_css .='border-color: '.esc_attr($vw_interior_designs_first_color).'!important;';
		$vw_interior_designs_custom_css .='}';
	}
	if($vw_interior_designs_first_color != false){
		$vw_interior_designs_custom_css .='.video-content hr, .woocommerce-info, .woocommerce-message, .post-info hr, .main-navigation ul ul{';
			$vw_interior_designs_custom_css .='border-top-color: '.esc_attr($vw_interior_designs_first_color).';';
		$vw_interior_designs_custom_css .='}';
	}
	if($vw_interior_designs_first_color != false){
		$vw_interior_designs_custom_css .='.video-btn a, .video-btn a, .main-navigation ul ul, .error-btn a{';
			$vw_interior_designs_custom_css .='border-bottom-color: '.esc_attr($vw_interior_designs_first_color).';';
		$vw_interior_designs_custom_css .='}';
	}

	/*-----------------Width Layout -------------------*/

	$vw_interior_designs_theme_lay = get_theme_mod( 'vw_interior_designs_width_option','Full Width');
    if($vw_interior_designs_theme_lay == 'Boxed'){
		$vw_interior_designs_custom_css .='body{';
			$vw_interior_designs_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$vw_interior_designs_custom_css .='}';
		$vw_interior_designs_custom_css .='.scrollup i{';
			$vw_interior_designs_custom_css .='right: 100px;';
		$vw_interior_designs_custom_css .='}';
		$vw_interior_designs_custom_css .='.scrollup.left i{';
			$vw_interior_designs_custom_css .='left: 100px;';
		$vw_interior_designs_custom_css .='}';
	}else if($vw_interior_designs_theme_lay == 'Wide Width'){
		$vw_interior_designs_custom_css .='body{';
			$vw_interior_designs_custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$vw_interior_designs_custom_css .='}';
		$vw_interior_designs_custom_css .='.scrollup i{';
			$vw_interior_designs_custom_css .='right: 30px;';
		$vw_interior_designs_custom_css .='}';
		$vw_interior_designs_custom_css .='.scrollup.left i{';
			$vw_interior_designs_custom_css .='left: 30px;';
		$vw_interior_designs_custom_css .='}';
	}else if($vw_interior_designs_theme_lay == 'Full Width'){
		$vw_interior_designs_custom_css .='body{';
			$vw_interior_designs_custom_css .='max-width: 100%;';
		$vw_interior_designs_custom_css .='}';
	}

	/*--------------------------- Slider Opacity -------------------*/

	$vw_interior_designs_theme_lay = get_theme_mod( 'vw_interior_designs_slider_opacity_color','0.3');
	if($vw_interior_designs_theme_lay == '0'){
		$vw_interior_designs_custom_css .='#slider img{';
			$vw_interior_designs_custom_css .='opacity:0';
		$vw_interior_designs_custom_css .='}';
		}else if($vw_interior_designs_theme_lay == '0.1'){
		$vw_interior_designs_custom_css .='#slider img{';
			$vw_interior_designs_custom_css .='opacity:0.1';
		$vw_interior_designs_custom_css .='}';
		}else if($vw_interior_designs_theme_lay == '0.2'){
		$vw_interior_designs_custom_css .='#slider img{';
			$vw_interior_designs_custom_css .='opacity:0.2';
		$vw_interior_designs_custom_css .='}';
		}else if($vw_interior_designs_theme_lay == '0.3'){
		$vw_interior_designs_custom_css .='#slider img{';
			$vw_interior_designs_custom_css .='opacity:0.3';
		$vw_interior_designs_custom_css .='}';
		}else if($vw_interior_designs_theme_lay == '0.4'){
		$vw_interior_designs_custom_css .='#slider img{';
			$vw_interior_designs_custom_css .='opacity:0.4';
		$vw_interior_designs_custom_css .='}';
		}else if($vw_interior_designs_theme_lay == '0.5'){
		$vw_interior_designs_custom_css .='#slider img{';
			$vw_interior_designs_custom_css .='opacity:0.5';
		$vw_interior_designs_custom_css .='}';
		}else if($vw_interior_designs_theme_lay == '0.6'){
		$vw_interior_designs_custom_css .='#slider img{';
			$vw_interior_designs_custom_css .='opacity:0.6';
		$vw_interior_designs_custom_css .='}';
		}else if($vw_interior_designs_theme_lay == '0.7'){
		$vw_interior_designs_custom_css .='#slider img{';
			$vw_interior_designs_custom_css .='opacity:0.7';
		$vw_interior_designs_custom_css .='}';
		}else if($vw_interior_designs_theme_lay == '0.8'){
		$vw_interior_designs_custom_css .='#slider img{';
			$vw_interior_designs_custom_css .='opacity:0.8';
		$vw_interior_designs_custom_css .='}';
		}else if($vw_interior_designs_theme_lay == '0.9'){
		$vw_interior_designs_custom_css .='#slider img{';
			$vw_interior_designs_custom_css .='opacity:0.9';
		$vw_interior_designs_custom_css .='}';
		}

	/*---------------------- Slider Image Overlay ------------------------*/

	$vw_interior_designs_slider_image_overlay = get_theme_mod('vw_interior_designs_slider_image_overlay', true);
	if($vw_interior_designs_slider_image_overlay == false){
		$vw_interior_designs_custom_css .='#slider img{';
			$vw_interior_designs_custom_css .='opacity:1;';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_slider_image_overlay_color = get_theme_mod('vw_interior_designs_slider_image_overlay_color', true);
	if($vw_interior_designs_slider_image_overlay_color != false){
		$vw_interior_designs_custom_css .='#slider{';
			$vw_interior_designs_custom_css .='background-color: '.esc_attr($vw_interior_designs_slider_image_overlay_color).';';
		$vw_interior_designs_custom_css .='}';
	}

	/*---------------------Slider Content Layout -------------------*/

	$vw_interior_designs_theme_lay = get_theme_mod( 'vw_interior_designs_slider_content_option','Center');
    if($vw_interior_designs_theme_lay == 'Left'){
		$vw_interior_designs_custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1, #slider .inner_carousel p, .more-btn{';
			$vw_interior_designs_custom_css .='text-align:left; left:15%; right:45%;';
		$vw_interior_designs_custom_css .='}';
	}else if($vw_interior_designs_theme_lay == 'Center'){
		$vw_interior_designs_custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1, #slider .inner_carousel p, .more-btn{';
			$vw_interior_designs_custom_css .='text-align:center; left:20%; right:20%;';
		$vw_interior_designs_custom_css .='}';
	}else if($vw_interior_designs_theme_lay == 'Right'){
		$vw_interior_designs_custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1, #slider .inner_carousel p, .more-btn{';
			$vw_interior_designs_custom_css .='text-align:right; left:45%; right:15%;';
		$vw_interior_designs_custom_css .='}';
	}

	/*------------- Slider Content Padding Settings ------------------*/

	$vw_interior_designs_slider_content_padding_top_bottom = get_theme_mod('vw_interior_designs_slider_content_padding_top_bottom');
	$vw_interior_designs_slider_content_padding_left_right = get_theme_mod('vw_interior_designs_slider_content_padding_left_right');
	if($vw_interior_designs_slider_content_padding_top_bottom != false || $vw_interior_designs_slider_content_padding_left_right != false){
		$vw_interior_designs_custom_css .='#slider .carousel-caption{';
			$vw_interior_designs_custom_css .='top: '.esc_attr($vw_interior_designs_slider_content_padding_top_bottom).'; bottom: '.esc_attr($vw_interior_designs_slider_content_padding_top_bottom).';left: '.esc_attr($vw_interior_designs_slider_content_padding_left_right).'!important;right: '.esc_attr($vw_interior_designs_slider_content_padding_left_right).'!important;';
		$vw_interior_designs_custom_css .='}';
	}

	/*---------------------------Slider Height ------------*/

	$vw_interior_designs_slider_height = get_theme_mod('vw_interior_designs_slider_height');
	if($vw_interior_designs_slider_height != false){
		$vw_interior_designs_custom_css .='#slider img{';
			$vw_interior_designs_custom_css .='height: '.esc_attr($vw_interior_designs_slider_height).';';
		$vw_interior_designs_custom_css .='}';
	}


	/*---------------------------Blog Layout -------------------*/

	$vw_interior_designs_theme_lay = get_theme_mod( 'vw_interior_designs_blog_layout_option','Default');
    if($vw_interior_designs_theme_lay == 'Default'){
		$vw_interior_designs_custom_css .='.post-main-box{';
			$vw_interior_designs_custom_css .='';
		$vw_interior_designs_custom_css .='}';
	}else if($vw_interior_designs_theme_lay == 'Center'){
		$vw_interior_designs_custom_css .='.post-main-box, .post-main-box h2, .post-info, .new-text p, #our-services .service-text p, .related-post .new-text p, #our-services .related-post p{';
			$vw_interior_designs_custom_css .='text-align:center;';
		$vw_interior_designs_custom_css .='}';
		$vw_interior_designs_custom_css .='.post-info, .content-bttn{';
			$vw_interior_designs_custom_css .='margin-top:10px;';
		$vw_interior_designs_custom_css .='}';
		$vw_interior_designs_custom_css .='.post-info hr{';
			$vw_interior_designs_custom_css .='margin:15px auto;';
		$vw_interior_designs_custom_css .='}';
	}else if($vw_interior_designs_theme_lay == 'Left'){
		$vw_interior_designs_custom_css .='.post-main-box, .post-main-box h2, .post-info, .new-text p, .video-btn, #our-services p{';
			$vw_interior_designs_custom_css .='text-align:Left;';
		$vw_interior_designs_custom_css .='}';
	}

	/*--------------------- Blog Page Posts -------------------*/

	$vw_interior_designs_blog_page_posts_settings = get_theme_mod( 'vw_interior_designs_blog_page_posts_settings','Into Blocks');
    if($vw_interior_designs_blog_page_posts_settings == 'Without Blocks'){
		$vw_interior_designs_custom_css .='.post-main-box{';
			$vw_interior_designs_custom_css .='box-shadow: none; border: none; margin:30px 0;';
		$vw_interior_designs_custom_css .='}';
	}

	// featured image dimention
	$vw_interior_designs_blog_post_featured_image_dimension = get_theme_mod('vw_interior_designs_blog_post_featured_image_dimension', 'default');
	$vw_interior_designs_blog_post_featured_image_custom_width = get_theme_mod('vw_interior_designs_blog_post_featured_image_custom_width',250);
	$vw_interior_designs_blog_post_featured_image_custom_height = get_theme_mod('vw_interior_designs_blog_post_featured_image_custom_height',250);
	if($vw_interior_designs_blog_post_featured_image_dimension == 'custom'){
		$vw_interior_designs_custom_css .='.box-image img{';
			$vw_interior_designs_custom_css .='width: '.esc_attr($vw_interior_designs_blog_post_featured_image_custom_width).'; height: '.esc_attr($vw_interior_designs_blog_post_featured_image_custom_height).';';
		$vw_interior_designs_custom_css .='}';
	}

	/*------------------Responsive Media -----------------------*/

	$vw_interior_designs_resp_stickyheader = get_theme_mod( 'vw_interior_designs_stickyheader_hide_show',false);
	if($vw_interior_designs_resp_stickyheader == true && get_theme_mod( 'vw_interior_designs_sticky_header',false) != true){
    	$vw_interior_designs_custom_css .='.page-template-custom-home-page .header-fixed, .header-fixed{';
			$vw_interior_designs_custom_css .='position:static;';
		$vw_interior_designs_custom_css .='} ';
	}
    if($vw_interior_designs_resp_stickyheader == true){
    	$vw_interior_designs_custom_css .='@media screen and (max-width:575px) {';
		$vw_interior_designs_custom_css .='.page-template-custom-home-page .header-fixed, .header-fixed{';
			$vw_interior_designs_custom_css .='position:fixed;';
		$vw_interior_designs_custom_css .='} }';
	}else if($vw_interior_designs_resp_stickyheader == false){
		$vw_interior_designs_custom_css .='@media screen and (max-width:575px){';
		$vw_interior_designs_custom_css .='.page-template-custom-home-page .header-fixed, .header-fixed{';
			$vw_interior_designs_custom_css .='position:static;';
		$vw_interior_designs_custom_css .='} }';
	}

	$vw_interior_designs_resp_slider = get_theme_mod( 'vw_interior_designs_resp_slider_hide_show',true);
	if($vw_interior_designs_resp_slider == true && get_theme_mod( 'vw_interior_designs_slider_hide_show', true) == false){
    	$vw_interior_designs_custom_css .='#slider{';
			$vw_interior_designs_custom_css .='display:none;';
		$vw_interior_designs_custom_css .='} ';
	}
    if($vw_interior_designs_resp_slider == true){
    	$vw_interior_designs_custom_css .='@media screen and (max-width:575px) {';
		$vw_interior_designs_custom_css .='#slider{';
			$vw_interior_designs_custom_css .='display:block;';
		$vw_interior_designs_custom_css .='} }';
	}else if($vw_interior_designs_resp_slider == false){
		$vw_interior_designs_custom_css .='@media screen and (max-width:575px) {';
		$vw_interior_designs_custom_css .='#slider{';
			$vw_interior_designs_custom_css .='display:none;';
		$vw_interior_designs_custom_css .='} }';
	}

	$vw_interior_designs_resp_sidebar = get_theme_mod( 'vw_interior_designs_sidebar_hide_show',true);
    if($vw_interior_designs_resp_sidebar == true){
    	$vw_interior_designs_custom_css .='@media screen and (max-width:575px) {';
		$vw_interior_designs_custom_css .='#sidebar{';
			$vw_interior_designs_custom_css .='display:block;';
		$vw_interior_designs_custom_css .='} }';
	}else if($vw_interior_designs_resp_sidebar == false){
		$vw_interior_designs_custom_css .='@media screen and (max-width:575px) {';
		$vw_interior_designs_custom_css .='#sidebar{';
			$vw_interior_designs_custom_css .='display:none;';
		$vw_interior_designs_custom_css .='} }';
	}

	$vw_interior_designs_resp_scroll_top = get_theme_mod( 'vw_interior_designs_resp_scroll_top_hide_show',true);
	if($vw_interior_designs_resp_scroll_top == true && get_theme_mod( 'vw_interior_designs_hide_show_scroll',true) != true){
    	$vw_interior_designs_custom_css .='.scrollup i, .scrollup{';
			$vw_interior_designs_custom_css .='visibility:hidden !important;';
		$vw_interior_designs_custom_css .='} ';
	}
    if($vw_interior_designs_resp_scroll_top == true){
    	$vw_interior_designs_custom_css .='@media screen and (max-width:575px) {';
		$vw_interior_designs_custom_css .='.scrollup i, .scrollup{';
			$vw_interior_designs_custom_css .='visibility:visible !important;';
		$vw_interior_designs_custom_css .='} }';
	}else if($vw_interior_designs_resp_scroll_top == false){
		$vw_interior_designs_custom_css .='@media screen and (max-width:575px){';
		$vw_interior_designs_custom_css .='.scrollup i, .scrollup{';
			$vw_interior_designs_custom_css .='visibility:hidden !important;';
		$vw_interior_designs_custom_css .='} }';
	}

	$vw_interior_designs_resp_menu_toggle_btn_bg_color = get_theme_mod('vw_interior_designs_resp_menu_toggle_btn_bg_color');
	if($vw_interior_designs_resp_menu_toggle_btn_bg_color != false){
		$vw_interior_designs_custom_css .='.toggle-nav i, .sidenav .closebtn{';
			$vw_interior_designs_custom_css .='background-color: '.esc_attr($vw_interior_designs_resp_menu_toggle_btn_bg_color).';';
		$vw_interior_designs_custom_css .='}';
	}

	/*-------------- Sticky Header Padding ----------------*/

	$vw_interior_designs_sticky_header_padding = get_theme_mod('vw_interior_designs_sticky_header_padding');
	if($vw_interior_designs_sticky_header_padding != false){
		$vw_interior_designs_custom_css .='.header-fixed, .page-template-custom-home-page .header-fixed{';
			$vw_interior_designs_custom_css .='padding: '.esc_attr($vw_interior_designs_sticky_header_padding).';';
		$vw_interior_designs_custom_css .='}';
	}

	/*-------------- Menus Settings ----------------*/

	$vw_interior_designs_navigation_menu_font_size = get_theme_mod('vw_interior_designs_navigation_menu_font_size');
	if($vw_interior_designs_navigation_menu_font_size != false){
		$vw_interior_designs_custom_css .='.main-navigation a{';
			$vw_interior_designs_custom_css .='font-size: '.esc_attr($vw_interior_designs_navigation_menu_font_size).';';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_navigation_menu_font_weight = get_theme_mod('vw_interior_designs_navigation_menu_font_weight','600');
	if($vw_interior_designs_navigation_menu_font_weight != false){
		$vw_interior_designs_custom_css .='.main-navigation a{';
			$vw_interior_designs_custom_css .='font-weight: '.esc_attr($vw_interior_designs_navigation_menu_font_weight).';';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_theme_lay = get_theme_mod( 'vw_interior_designs_menu_text_transform','Uppercase');
	if($vw_interior_designs_theme_lay == 'Capitalize'){
		$vw_interior_designs_custom_css .='.main-navigation a{';
			$vw_interior_designs_custom_css .='text-transform:Capitalize;';
		$vw_interior_designs_custom_css .='}';
	}
	if($vw_interior_designs_theme_lay == 'Lowercase'){
		$vw_interior_designs_custom_css .='.main-navigation a{';
			$vw_interior_designs_custom_css .='text-transform:Lowercase;';
		$vw_interior_designs_custom_css .='}';
	}
	if($vw_interior_designs_theme_lay == 'Uppercase'){
		$vw_interior_designs_custom_css .='.main-navigation a{';
			$vw_interior_designs_custom_css .='text-transform:Uppercase;';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_header_menus_color = get_theme_mod('vw_interior_designs_header_menus_color');
	if($vw_interior_designs_header_menus_color != false){
		$vw_interior_designs_custom_css .='.main-navigation a{';
			$vw_interior_designs_custom_css .='color: '.esc_attr($vw_interior_designs_header_menus_color).';';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_header_menus_hover_color = get_theme_mod('vw_interior_designs_header_menus_hover_color');
	if($vw_interior_designs_header_menus_hover_color != false){
		$vw_interior_designs_custom_css .='.main-navigation a:hover{';
			$vw_interior_designs_custom_css .='color: '.esc_attr($vw_interior_designs_header_menus_hover_color).';';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_header_submenus_color = get_theme_mod('vw_interior_designs_header_submenus_color');
	if($vw_interior_designs_header_submenus_color != false){
		$vw_interior_designs_custom_css .='.main-navigation ul ul a{';
			$vw_interior_designs_custom_css .='color: '.esc_attr($vw_interior_designs_header_submenus_color).';';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_header_submenus_hover_color = get_theme_mod('vw_interior_designs_header_submenus_hover_color');
	if($vw_interior_designs_header_submenus_hover_color != false){
		$vw_interior_designs_custom_css .='.main-navigation ul.sub-menu a:hover{';
			$vw_interior_designs_custom_css .='color: '.esc_attr($vw_interior_designs_header_submenus_hover_color).';';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_menus_item = get_theme_mod( 'vw_interior_designs_menus_item_style','None');
    if($vw_interior_designs_menus_item == 'None'){
		$vw_interior_designs_custom_css .='.main-navigation a{';
			$vw_interior_designs_custom_css .='';
		$vw_interior_designs_custom_css .='}';
	}else if($vw_interior_designs_menus_item == 'Zoom In'){
		$vw_interior_designs_custom_css .='.main-navigation a:hover{';
			$vw_interior_designs_custom_css .='transition: all 0.3s ease-in-out !important; transform: scale(1.2) !important; color: #9dc02e;';
		$vw_interior_designs_custom_css .='}';
	}

	/*------------------ Search Settings -----------------*/
	
	$vw_interior_designs_search_padding_top_bottom = get_theme_mod('vw_interior_designs_search_padding_top_bottom');
	$vw_interior_designs_search_padding_left_right = get_theme_mod('vw_interior_designs_search_padding_left_right');
	$vw_interior_designs_search_font_size = get_theme_mod('vw_interior_designs_search_font_size');
	$vw_interior_designs_search_border_radius = get_theme_mod('vw_interior_designs_search_border_radius');
	if($vw_interior_designs_search_padding_top_bottom != false || $vw_interior_designs_search_padding_left_right != false || $vw_interior_designs_search_font_size != false || $vw_interior_designs_search_border_radius != false){
		$vw_interior_designs_custom_css .='.search-box i{';
			$vw_interior_designs_custom_css .='padding-top: '.esc_attr($vw_interior_designs_search_padding_top_bottom).'; padding-bottom: '.esc_attr($vw_interior_designs_search_padding_top_bottom).';padding-left: '.esc_attr($vw_interior_designs_search_padding_left_right).';padding-right: '.esc_attr($vw_interior_designs_search_padding_left_right).';font-size: '.esc_attr($vw_interior_designs_search_font_size).';border-radius: '.esc_attr($vw_interior_designs_search_border_radius).'px;';
		$vw_interior_designs_custom_css .='}';
	}

	/*---------------- Button Settings ------------------*/

	$vw_interior_designs_button_padding_top_bottom = get_theme_mod('vw_interior_designs_button_padding_top_bottom');
	$vw_interior_designs_button_padding_left_right = get_theme_mod('vw_interior_designs_button_padding_left_right');
	if($vw_interior_designs_button_padding_top_bottom != false || $vw_interior_designs_button_padding_left_right != false){
		$vw_interior_designs_custom_css .='.post-main-box .video-btn{';
			$vw_interior_designs_custom_css .='padding-top: '.esc_attr($vw_interior_designs_button_padding_top_bottom).'; padding-bottom: '.esc_attr($vw_interior_designs_button_padding_top_bottom).';padding-left: '.esc_attr($vw_interior_designs_button_padding_left_right).';padding-right: '.esc_attr($vw_interior_designs_button_padding_left_right).';';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_button_border_radius = get_theme_mod('vw_interior_designs_button_border_radius');
	if($vw_interior_designs_button_border_radius != false){
		$vw_interior_designs_custom_css .='.post-main-box .video-btn{';
			$vw_interior_designs_custom_css .='border-radius: '.esc_attr($vw_interior_designs_button_border_radius).'px;';
		$vw_interior_designs_custom_css .='}';
	}

	$btn_border = get_theme_mod( 'vw_interior_designs_blog_button_border', false);
	if($btn_border == true){
		$vw_interior_designs_custom_css .='.post-main-box .video-btn{';
			$vw_interior_designs_custom_css .='border:1px solid #313040; display:inline-block;';
		$vw_interior_designs_custom_css .='}';
		$vw_interior_designs_custom_css .='.post-main-box .video-btn a{';
			$vw_interior_designs_custom_css .='border-bottom:none;';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_button_font_size = get_theme_mod('vw_interior_designs_button_font_size',14);
	$vw_interior_designs_custom_css .='.post-main-box .video-btn a, .video-btn i{';
		$vw_interior_designs_custom_css .='font-size: '.esc_attr($vw_interior_designs_button_font_size).';';
	$vw_interior_designs_custom_css .='}';

	$vw_interior_designs_theme_lay = get_theme_mod( 'vw_interior_designs_button_text_transform','Uppercase');
	if($vw_interior_designs_theme_lay == 'Capitalize'){
		$vw_interior_designs_custom_css .='.post-main-box .video-btn{';
			$vw_interior_designs_custom_css .='text-transform:Capitalize;';
		$vw_interior_designs_custom_css .='}';
	}
	if($vw_interior_designs_theme_lay == 'Lowercase'){
		$vw_interior_designs_custom_css .='.post-main-box .video-btn{';
			$vw_interior_designs_custom_css .='text-transform:Lowercase;';
		$vw_interior_designs_custom_css .='}';
	}
	if($vw_interior_designs_theme_lay == 'Uppercase'){ 
		$vw_interior_designs_custom_css .='.post-main-box .video-btn{';
			$vw_interior_designs_custom_css .='text-transform:Uppercase;';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_button_letter_spacing = get_theme_mod('vw_interior_designs_button_letter_spacing');
	$vw_interior_designs_custom_css .='.post-main-box .video-btn a{';
		$vw_interior_designs_custom_css .='letter-spacing: '.esc_attr($vw_interior_designs_button_letter_spacing).';';
	$vw_interior_designs_custom_css .='}';

	/*------------- Single Blog Page------------------*/

	$vw_interior_designs_featured_image_border_radius = get_theme_mod('vw_interior_designs_featured_image_border_radius', 0);
	if($vw_interior_designs_featured_image_border_radius != false){
		$vw_interior_designs_custom_css .='.box-image img, .feature-box img{';
			$vw_interior_designs_custom_css .='border-radius: '.esc_attr($vw_interior_designs_featured_image_border_radius).'px;';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_featured_image_box_shadow = get_theme_mod('vw_interior_designs_featured_image_box_shadow',0);
	if($vw_interior_designs_featured_image_box_shadow != false){
		$vw_interior_designs_custom_css .='.box-image img, #content-vw img{';
			$vw_interior_designs_custom_css .='box-shadow: '.esc_attr($vw_interior_designs_featured_image_box_shadow).'px '.esc_attr($vw_interior_designs_featured_image_box_shadow).'px '.esc_attr($vw_interior_designs_featured_image_box_shadow).'px #cccccc;';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_singlepost_image_box_shadow = get_theme_mod('vw_interior_designs_singlepost_image_box_shadow',0);
	if($vw_interior_designs_singlepost_image_box_shadow != false){
		$vw_interior_designs_custom_css .='.feature-box img{';
			$vw_interior_designs_custom_css .='box-shadow: '.esc_attr($vw_interior_designs_singlepost_image_box_shadow).'px '.esc_attr($vw_interior_designs_singlepost_image_box_shadow).'px '.esc_attr($vw_interior_designs_singlepost_image_box_shadow).'px #cccccc;';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_related_image_box_shadow = get_theme_mod('vw_interior_designs_related_image_box_shadow',0);
	if($vw_interior_designs_related_image_box_shadow != false){
		$vw_interior_designs_custom_css .='.related-post .box-image img{';
			$vw_interior_designs_custom_css .='box-shadow: '.esc_attr($vw_interior_designs_related_image_box_shadow).'px '.esc_attr($vw_interior_designs_related_image_box_shadow).'px '.esc_attr($vw_interior_designs_related_image_box_shadow).'px #cccccc;';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_single_blog_post_navigation_show_hide = get_theme_mod('vw_interior_designs_single_blog_post_navigation_show_hide',true);
	if($vw_interior_designs_single_blog_post_navigation_show_hide != true){
		$vw_interior_designs_custom_css .='.post-navigation{';
			$vw_interior_designs_custom_css .='display: none;';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_comment_width = get_theme_mod('vw_interior_designs_single_blog_comment_width');
	if($vw_interior_designs_comment_width != false){
		$vw_interior_designs_custom_css .='#comments textarea{';
			$vw_interior_designs_custom_css .='width: '.esc_attr($vw_interior_designs_comment_width).';';
		$vw_interior_designs_custom_css .='}';
	}

	/*-------------- Copyright Alignment ----------------*/

	$vw_interior_designs_copyright_background_color = get_theme_mod('vw_interior_designs_copyright_background_color');
	if($vw_interior_designs_copyright_background_color != false){
		$vw_interior_designs_custom_css .='#footer-2{';
			$vw_interior_designs_custom_css .='background-color: '.esc_attr($vw_interior_designs_copyright_background_color).';';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_footer_widgets_heading = get_theme_mod( 'vw_interior_designs_footer_widgets_heading','Left');
    if($vw_interior_designs_footer_widgets_heading == 'Left'){
		$vw_interior_designs_custom_css .='#footer h3, #footer .wp-block-search .wp-block-search__label{';
		$vw_interior_designs_custom_css .='text-align: left;';
		$vw_interior_designs_custom_css .='}';
	}else if($vw_interior_designs_footer_widgets_heading == 'Center'){
		$vw_interior_designs_custom_css .='#footer h3, #footer .wp-block-search .wp-block-search__label{';
			$vw_interior_designs_custom_css .='text-align: center;';
		$vw_interior_designs_custom_css .='}';
	}else if($vw_interior_designs_footer_widgets_heading == 'Right'){
		$vw_interior_designs_custom_css .='#footer h3, #footer .wp-block-search .wp-block-search__label{';
			$vw_interior_designs_custom_css .='text-align: right;';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_footer_widgets_content = get_theme_mod( 'vw_interior_designs_footer_widgets_content','Left');
    if($vw_interior_designs_footer_widgets_content == 'Left'){
		$vw_interior_designs_custom_css .='#footer .widget{';
		$vw_interior_designs_custom_css .='text-align: left;';
		$vw_interior_designs_custom_css .='}';
	}else if($vw_interior_designs_footer_widgets_content == 'Center'){
		$vw_interior_designs_custom_css .='#footer .widget{';
			$vw_interior_designs_custom_css .='text-align: center;';
		$vw_interior_designs_custom_css .='}';
	}else if($vw_interior_designs_footer_widgets_content == 'Right'){
		$vw_interior_designs_custom_css .='#footer .widget{';
			$vw_interior_designs_custom_css .='text-align: right;';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_footer_background_color = get_theme_mod('vw_interior_designs_footer_background_color');
	if($vw_interior_designs_footer_background_color != false){
		$vw_interior_designs_custom_css .='#footer{';
			$vw_interior_designs_custom_css .='background-color: '.esc_attr($vw_interior_designs_footer_background_color).';';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_copyright_font_size = get_theme_mod('vw_interior_designs_copyright_font_size');
	if($vw_interior_designs_copyright_font_size != false){
		$vw_interior_designs_custom_css .='.copyright p{';
			$vw_interior_designs_custom_css .='font-size: '.esc_attr($vw_interior_designs_copyright_font_size).';';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_copyright_padding_top_bottom = get_theme_mod('vw_interior_designs_copyright_padding_top_bottom');
	if($vw_interior_designs_copyright_padding_top_bottom != false){
		$vw_interior_designs_custom_css .='#footer-2{';
			$vw_interior_designs_custom_css .='padding-top: '.esc_attr($vw_interior_designs_copyright_padding_top_bottom).'; padding-bottom: '.esc_attr($vw_interior_designs_copyright_padding_top_bottom).';';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_copyright_alignment = get_theme_mod('vw_interior_designs_copyright_alignment');
	if($vw_interior_designs_copyright_alignment != false){
		$vw_interior_designs_custom_css .='.copyright p,#footer-2 p{';
			$vw_interior_designs_custom_css .='text-align: '.esc_attr($vw_interior_designs_copyright_alignment).';';
		$vw_interior_designs_custom_css .='}';
		$vw_interior_designs_custom_css .='
		@media screen and (max-width:720px) {
			.copyright p,#footer-2 p{';
			$vw_interior_designs_custom_css .='text-align: center;} }';
	}

	$vw_interior_designs_resp_stickycopyright = get_theme_mod( 'vw_interior_designs_stickycopyright_hide_show',false);
	if($vw_interior_designs_resp_stickycopyright == true && get_theme_mod( 'vw_interior_designs_copyright_sticky',false) != true){
    	$vw_interior_designs_custom_css .='.copyright-sticky{';
			$vw_interior_designs_custom_css .='position:static;';
		$vw_interior_designs_custom_css .='} ';
	}

	$vw_interior_designs_footer_social_icons_font_size = get_theme_mod('vw_interior_designs_footer_social_icons_font_size','16');
	$vw_interior_designs_custom_css .='.copyright .widget i{';
		$vw_interior_designs_custom_css .='font-size: '.esc_attr($vw_interior_designs_footer_social_icons_font_size).'px;';
	$vw_interior_designs_custom_css .='}';

	$vw_interior_designs_align_footer_social_icon = get_theme_mod('vw_interior_designs_align_footer_social_icon');
	if($vw_interior_designs_align_footer_social_icon != false){
		$vw_interior_designs_custom_css .='.copyright .widget{';
			$vw_interior_designs_custom_css .='text-align: '.esc_attr($vw_interior_designs_align_footer_social_icon).';';
		$vw_interior_designs_custom_css .='}';
		$vw_interior_designs_custom_css .='
		@media screen and (max-width:720px) {
			.copyright .widget{';
			$vw_interior_designs_custom_css .='text-align: center;} }';
	}

	$vw_interior_designs_footer_padding = get_theme_mod('vw_interior_designs_footer_padding');
	if($vw_interior_designs_footer_padding != false){
		$vw_interior_designs_custom_css .='#footer{';
			$vw_interior_designs_custom_css .='padding: '.esc_attr($vw_interior_designs_footer_padding).' 0;';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_footer_icon = get_theme_mod('vw_interior_designs_footer_icon');
	if($vw_interior_designs_footer_icon == false){
		$vw_interior_designs_custom_css .='.copyright p{';
			$vw_interior_designs_custom_css .='width:100%; text-align:center; float:none;';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_footer_background_image = get_theme_mod('vw_interior_designs_footer_background_image');
	if($vw_interior_designs_footer_background_image != false){
		$vw_interior_designs_custom_css .='#footer{';
			$vw_interior_designs_custom_css .='background: url('.esc_attr($vw_interior_designs_footer_background_image).');background-size:cover;';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_theme_lay = get_theme_mod( 'vw_interior_designs_img_footer','scroll');
	if($vw_interior_designs_theme_lay == 'fixed'){
		$vw_interior_designs_custom_css .='#footer{';
			$vw_interior_designs_custom_css .='background-attachment: fixed !important;';
		$vw_interior_designs_custom_css .='}';
	}elseif ($vw_interior_designs_theme_lay == 'scroll'){
		$vw_interior_designs_custom_css .='#footer{';
			$vw_interior_designs_custom_css .='background-attachment: scroll !important;';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_footer_img_position = get_theme_mod('vw_interior_designs_footer_img_position','center center');
	if($vw_interior_designs_footer_img_position != false){
		$vw_interior_designs_custom_css .='#footer{';
			$vw_interior_designs_custom_css .='background-position: '.esc_attr($vw_interior_designs_footer_img_position).'!important;';
		$vw_interior_designs_custom_css .='}';
	}  

	/*----------------Sroll to top Settings ------------------*/

	$vw_interior_designs_scroll_to_top_font_size = get_theme_mod('vw_interior_designs_scroll_to_top_font_size');
	if($vw_interior_designs_scroll_to_top_font_size != false){
		$vw_interior_designs_custom_css .='.scrollup i{';
			$vw_interior_designs_custom_css .='font-size: '.esc_attr($vw_interior_designs_scroll_to_top_font_size).';';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_scroll_to_top_padding = get_theme_mod('vw_interior_designs_scroll_to_top_padding');
	$vw_interior_designs_scroll_to_top_padding = get_theme_mod('vw_interior_designs_scroll_to_top_padding');
	if($vw_interior_designs_scroll_to_top_padding != false){
		$vw_interior_designs_custom_css .='.scrollup i{';
			$vw_interior_designs_custom_css .='padding-top: '.esc_attr($vw_interior_designs_scroll_to_top_padding).';padding-bottom: '.esc_attr($vw_interior_designs_scroll_to_top_padding).';';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_scroll_to_top_width = get_theme_mod('vw_interior_designs_scroll_to_top_width');
	if($vw_interior_designs_scroll_to_top_width != false){
		$vw_interior_designs_custom_css .='.scrollup i{';
			$vw_interior_designs_custom_css .='width: '.esc_attr($vw_interior_designs_scroll_to_top_width).';';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_scroll_to_top_height = get_theme_mod('vw_interior_designs_scroll_to_top_height');
	if($vw_interior_designs_scroll_to_top_height != false){
		$vw_interior_designs_custom_css .='.scrollup i{';
			$vw_interior_designs_custom_css .='height: '.esc_attr($vw_interior_designs_scroll_to_top_height).';';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_scroll_to_top_border_radius = get_theme_mod('vw_interior_designs_scroll_to_top_border_radius');
	if($vw_interior_designs_scroll_to_top_border_radius != false){
		$vw_interior_designs_custom_css .='.scrollup i{';
			$vw_interior_designs_custom_css .='border-radius: '.esc_attr($vw_interior_designs_scroll_to_top_border_radius).'px;';
		$vw_interior_designs_custom_css .='}';
	}

	/*----------------Social Icons Settings ------------------*/

	$vw_interior_designs_social_icon_font_size = get_theme_mod('vw_interior_designs_social_icon_font_size');
	if($vw_interior_designs_social_icon_font_size != false){
		$vw_interior_designs_custom_css .='#sidebar .custom-social-icons i, #footer .custom-social-icons i{';
			$vw_interior_designs_custom_css .='font-size: '.esc_attr($vw_interior_designs_social_icon_font_size).';';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_social_icon_padding = get_theme_mod('vw_interior_designs_social_icon_padding');
	if($vw_interior_designs_social_icon_padding != false){
		$vw_interior_designs_custom_css .='#sidebar .custom-social-icons i, #footer .custom-social-icons i{';
			$vw_interior_designs_custom_css .='padding: '.esc_attr($vw_interior_designs_social_icon_padding).';';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_social_icon_width = get_theme_mod('vw_interior_designs_social_icon_width');
	if($vw_interior_designs_social_icon_width != false){
		$vw_interior_designs_custom_css .='#sidebar .custom-social-icons i, #footer .custom-social-icons i{';
			$vw_interior_designs_custom_css .='width: '.esc_attr($vw_interior_designs_social_icon_width).';';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_social_icon_height = get_theme_mod('vw_interior_designs_social_icon_height');
	if($vw_interior_designs_social_icon_height != false){
		$vw_interior_designs_custom_css .='#sidebar .custom-social-icons i, #footer .custom-social-icons i{';
			$vw_interior_designs_custom_css .='height: '.esc_attr($vw_interior_designs_social_icon_height).';';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_social_icon_border_radius = get_theme_mod('vw_interior_designs_social_icon_border_radius');
	if($vw_interior_designs_social_icon_border_radius != false){
		$vw_interior_designs_custom_css .='#sidebar .custom-social-icons i, #footer .custom-social-icons i{';
			$vw_interior_designs_custom_css .='border-radius: '.esc_attr($vw_interior_designs_social_icon_border_radius).'px;';
		$vw_interior_designs_custom_css .='}';
	}

	/*----------------Woocommerce Products Settings ------------------*/

	$vw_interior_designs_related_product_show_hide = get_theme_mod('vw_interior_designs_related_product_show_hide',true);
	if($vw_interior_designs_related_product_show_hide != true){
		$vw_interior_designs_custom_css .='.related.products{';
			$vw_interior_designs_custom_css .='display: none;';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_products_padding_top_bottom = get_theme_mod('vw_interior_designs_products_padding_top_bottom');
	if($vw_interior_designs_products_padding_top_bottom != false){
		$vw_interior_designs_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$vw_interior_designs_custom_css .='padding-top: '.esc_attr($vw_interior_designs_products_padding_top_bottom).'!important; padding-bottom: '.esc_attr($vw_interior_designs_products_padding_top_bottom).'!important;';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_products_padding_left_right = get_theme_mod('vw_interior_designs_products_padding_left_right');
	if($vw_interior_designs_products_padding_left_right != false){
		$vw_interior_designs_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$vw_interior_designs_custom_css .='padding-left: '.esc_attr($vw_interior_designs_products_padding_left_right).'!important; padding-right: '.esc_attr($vw_interior_designs_products_padding_left_right).'!important;';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_products_box_shadow = get_theme_mod('vw_interior_designs_products_box_shadow');
	if($vw_interior_designs_products_box_shadow != false){
		$vw_interior_designs_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
				$vw_interior_designs_custom_css .='box-shadow: '.esc_attr($vw_interior_designs_products_box_shadow).'px '.esc_attr($vw_interior_designs_products_box_shadow).'px '.esc_attr($vw_interior_designs_products_box_shadow).'px #ddd;';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_products_border_radius = get_theme_mod('vw_interior_designs_products_border_radius', 0);
	if($vw_interior_designs_products_border_radius != false){
		$vw_interior_designs_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$vw_interior_designs_custom_css .='border-radius: '.esc_attr($vw_interior_designs_products_border_radius).'px;';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_products_btn_padding_top_bottom = get_theme_mod('vw_interior_designs_products_btn_padding_top_bottom');
	if($vw_interior_designs_products_btn_padding_top_bottom != false){
		$vw_interior_designs_custom_css .='.woocommerce a.button{';
			$vw_interior_designs_custom_css .='padding-top: '.esc_attr($vw_interior_designs_products_btn_padding_top_bottom).' !important; padding-bottom: '.esc_attr($vw_interior_designs_products_btn_padding_top_bottom).' !important;';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_products_btn_padding_left_right = get_theme_mod('vw_interior_designs_products_btn_padding_left_right');
	if($vw_interior_designs_products_btn_padding_left_right != false){
		$vw_interior_designs_custom_css .='.woocommerce a.button{';
			$vw_interior_designs_custom_css .='padding-left: '.esc_attr($vw_interior_designs_products_btn_padding_left_right).' !important; padding-right: '.esc_attr($vw_interior_designs_products_btn_padding_left_right).' !important;';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_products_button_border_radius = get_theme_mod('vw_interior_designs_products_button_border_radius', 0);
	if($vw_interior_designs_products_button_border_radius != false){
		$vw_interior_designs_custom_css .='.woocommerce ul.products li.product .button, a.checkout-button.button.alt.wc-forward,.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt{';
			$vw_interior_designs_custom_css .='border-radius: '.esc_attr($vw_interior_designs_products_button_border_radius).'px;';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_woocommerce_sale_position = get_theme_mod( 'vw_interior_designs_woocommerce_sale_position','right');
    if($vw_interior_designs_woocommerce_sale_position == 'left'){
		$vw_interior_designs_custom_css .='.woocommerce ul.products li.product .onsale{';
			$vw_interior_designs_custom_css .='left: -10px; right: auto;';
		$vw_interior_designs_custom_css .='}';
	}else if($vw_interior_designs_woocommerce_sale_position == 'right'){
		$vw_interior_designs_custom_css .='.woocommerce ul.products li.product .onsale{';
			$vw_interior_designs_custom_css .='left: auto; right: 0;';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_woocommerce_sale_font_size = get_theme_mod('vw_interior_designs_woocommerce_sale_font_size');
	if($vw_interior_designs_woocommerce_sale_font_size != false){
		$vw_interior_designs_custom_css .='.woocommerce span.onsale{';
			$vw_interior_designs_custom_css .='font-size: '.esc_attr($vw_interior_designs_woocommerce_sale_font_size).';';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_woocommerce_sale_border_radius = get_theme_mod('vw_interior_designs_woocommerce_sale_border_radius', 100);
	if($vw_interior_designs_woocommerce_sale_border_radius != false){
		$vw_interior_designs_custom_css .='.woocommerce span.onsale{';
			$vw_interior_designs_custom_css .='border-radius: '.esc_attr($vw_interior_designs_woocommerce_sale_border_radius).'px;';
		$vw_interior_designs_custom_css .='}';
	}

	/*------------------ Logo  -------------------*/

	$vw_interior_designs_logo_padding = get_theme_mod('vw_interior_designs_logo_padding');
	if($vw_interior_designs_logo_padding != false){
		$vw_interior_designs_custom_css .='.logo{';
			$vw_interior_designs_custom_css .='padding: '.esc_attr($vw_interior_designs_logo_padding).';';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_logo_margin = get_theme_mod('vw_interior_designs_logo_margin');
	if($vw_interior_designs_logo_margin != false){
		$vw_interior_designs_custom_css .='.logo{';
			$vw_interior_designs_custom_css .='margin: '.esc_attr($vw_interior_designs_logo_margin).';';
		$vw_interior_designs_custom_css .='}';
	}

	// Site title Font Size
	$vw_interior_designs_site_title_font_size = get_theme_mod('vw_interior_designs_site_title_font_size');
	if($vw_interior_designs_site_title_font_size != false){
		$vw_interior_designs_custom_css .='.logo h1 a, .logo p.site-title a{';
			$vw_interior_designs_custom_css .='font-size: '.esc_attr($vw_interior_designs_site_title_font_size).';';
		$vw_interior_designs_custom_css .='}';
	}

	// Site tagline Font Size
	$vw_interior_designs_site_tagline_font_size = get_theme_mod('vw_interior_designs_site_tagline_font_size');
	if($vw_interior_designs_site_tagline_font_size != false){
		$vw_interior_designs_custom_css .='.logo p.site-description{';
			$vw_interior_designs_custom_css .='font-size: '.esc_attr($vw_interior_designs_site_tagline_font_size).';';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_site_title_color = get_theme_mod('vw_interior_designs_site_title_color');
	if($vw_interior_designs_site_title_color != false){
		$vw_interior_designs_custom_css .='p.site-title a{';
			$vw_interior_designs_custom_css .='color: '.esc_attr($vw_interior_designs_site_title_color).'!important;';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_site_tagline_color = get_theme_mod('vw_interior_designs_site_tagline_color');
	if($vw_interior_designs_site_tagline_color != false){
		$vw_interior_designs_custom_css .='.logo p.site-description{';
			$vw_interior_designs_custom_css .='color: '.esc_attr($vw_interior_designs_site_tagline_color).';';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_logo_width = get_theme_mod('vw_interior_designs_logo_width');
	if($vw_interior_designs_logo_width != false){
		$vw_interior_designs_custom_css .='.logo img{';
			$vw_interior_designs_custom_css .='width: '.esc_attr($vw_interior_designs_logo_width).';';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_logo_height = get_theme_mod('vw_interior_designs_logo_height');
	if($vw_interior_designs_logo_height != false){
		$vw_interior_designs_custom_css .='.logo img{';
			$vw_interior_designs_custom_css .='height: '.esc_attr($vw_interior_designs_logo_height).';';
		$vw_interior_designs_custom_css .='}';
	}

	// Woocommerce img

	$vw_interior_designs_shop_featured_image_border_radius = get_theme_mod('vw_interior_designs_shop_featured_image_border_radius', 0);
	if($vw_interior_designs_shop_featured_image_border_radius != false){
		$vw_interior_designs_custom_css .='.woocommerce ul.products li.product a img{';
			$vw_interior_designs_custom_css .='border-radius: '.esc_attr($vw_interior_designs_shop_featured_image_border_radius).'px;';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_shop_featured_image_box_shadow = get_theme_mod('vw_interior_designs_shop_featured_image_box_shadow');
	if($vw_interior_designs_shop_featured_image_box_shadow != false){
		$vw_interior_designs_custom_css .='.woocommerce ul.products li.product a img{';
				$vw_interior_designs_custom_css .='box-shadow: '.esc_attr($vw_interior_designs_shop_featured_image_box_shadow).'px '.esc_attr($vw_interior_designs_shop_featured_image_box_shadow).'px '.esc_attr($vw_interior_designs_shop_featured_image_box_shadow).'px #ddd;';
		$vw_interior_designs_custom_css .='}';
	}
 
	/*------------------ Preloader Background Color  -------------------*/

	$vw_interior_designs_preloader_bg_color = get_theme_mod('vw_interior_designs_preloader_bg_color');
	if($vw_interior_designs_preloader_bg_color != false){
		$vw_interior_designs_custom_css .='#preloader{';
			$vw_interior_designs_custom_css .='background-color: '.esc_attr($vw_interior_designs_preloader_bg_color).';';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_preloader_border_color = get_theme_mod('vw_interior_designs_preloader_border_color');
	if($vw_interior_designs_preloader_border_color != false){
		$vw_interior_designs_custom_css .='.loader-line{';
			$vw_interior_designs_custom_css .='border-color: '.esc_attr($vw_interior_designs_preloader_border_color).'!important;';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_preloader_bg_img = get_theme_mod('vw_interior_designs_preloader_bg_img');
	if($vw_interior_designs_preloader_bg_img != false){
		$vw_interior_designs_custom_css .='#preloader{';
			$vw_interior_designs_custom_css .='background: url('.esc_attr($vw_interior_designs_preloader_bg_img).');-webkit-background-size: cover; -moz-background-size: cover; -o-background-size: cover; background-size: cover;';
		$vw_interior_designs_custom_css .='}';
	}

	// Header Background Color
	$vw_interior_designs_header_background_color = get_theme_mod('vw_interior_designs_header_background_color');
	if($vw_interior_designs_header_background_color != false){
		$vw_interior_designs_custom_css .='.home-page-header{';
			$vw_interior_designs_custom_css .='background-color: '.esc_attr($vw_interior_designs_header_background_color).';';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_header_img_position = get_theme_mod('vw_interior_designs_header_img_position','center top');
	if($vw_interior_designs_header_img_position != false){
		$vw_interior_designs_custom_css .='.home-page-header{';
			$vw_interior_designs_custom_css .='background-position: '.esc_attr($vw_interior_designs_header_img_position).'!important;';
		$vw_interior_designs_custom_css .='}';
	}

	/*--------------------- Grid Posts Posts -------------------*/

	$vw_interior_designs_display_grid_posts_settings = get_theme_mod( 'vw_interior_designs_display_grid_posts_settings','Into Blocks');
    if($vw_interior_designs_display_grid_posts_settings == 'Without Blocks'){
		$vw_interior_designs_custom_css .='.grid-post-main-box{';
			$vw_interior_designs_custom_css .='box-shadow: none; border: none; margin:30px 0;';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_grid_featured_image_border_radius = get_theme_mod('vw_interior_designs_grid_featured_image_border_radius', 0);
	if($vw_interior_designs_grid_featured_image_border_radius != false){
		$vw_interior_designs_custom_css .='.grid-post-main-box .box-image img, .grid-post-main-box .feature-box img{';
			$vw_interior_designs_custom_css .='border-radius: '.esc_attr($vw_interior_designs_grid_featured_image_border_radius).'px;';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_grid_featured_image_box_shadow = get_theme_mod('vw_interior_designs_grid_featured_image_box_shadow',0);
	if($vw_interior_designs_grid_featured_image_box_shadow != false){
		$vw_interior_designs_custom_css .='.grid-post-main-box .box-image img, .grid-post-main-box .feature-box img, #content-vw img{';
			$vw_interior_designs_custom_css .='box-shadow: '.esc_attr($vw_interior_designs_grid_featured_image_box_shadow).'px '.esc_attr($vw_interior_designs_grid_featured_image_box_shadow).'px '.esc_attr($vw_interior_designs_grid_featured_image_box_shadow).'px #cccccc;';
		$vw_interior_designs_custom_css .='}';
	}

	/*---------------- Footer Settings ------------------*/

	$vw_interior_designs_button_footer_heading_letter_spacing = get_theme_mod('vw_interior_designs_button_footer_heading_letter_spacing',1);
	$vw_interior_designs_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
		$vw_interior_designs_custom_css .='letter-spacing: '.esc_attr($vw_interior_designs_button_footer_heading_letter_spacing).'px;';
	$vw_interior_designs_custom_css .='}';

	$vw_interior_designs_button_footer_font_size = get_theme_mod('vw_interior_designs_button_footer_font_size','25');
	$vw_interior_designs_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
		$vw_interior_designs_custom_css .='font-size: '.esc_attr($vw_interior_designs_button_footer_font_size).'px;';
	$vw_interior_designs_custom_css .='}';

	$vw_interior_designs_theme_lay = get_theme_mod( 'vw_interior_designs_button_footer_text_transform','Capitalize');
	if($vw_interior_designs_theme_lay == 'Capitalize'){
		$vw_interior_designs_custom_css .='#footer h3{';
			$vw_interior_designs_custom_css .='text-transform:Capitalize;';
		$vw_interior_designs_custom_css .='}';
	}
	if($vw_interior_designs_theme_lay == 'Lowercase'){
		$vw_interior_designs_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
			$vw_interior_designs_custom_css .='text-transform:Lowercase;';
		$vw_interior_designs_custom_css .='}';
	}
	if($vw_interior_designs_theme_lay == 'Uppercase'){
		$vw_interior_designs_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
			$vw_interior_designs_custom_css .='text-transform:Uppercase;';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_footer_heading_weight = get_theme_mod('vw_interior_designs_footer_heading_weight','');
	if($vw_interior_designs_footer_heading_weight != false){
		$vw_interior_designs_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
			$vw_interior_designs_custom_css .='font-weight: '.esc_attr($vw_interior_designs_footer_heading_weight).';';
		$vw_interior_designs_custom_css .='}';
	}

	/*---------------------------Footer Style -------------------*/

	$vw_interior_designs_theme_lay = get_theme_mod( 'vw_interior_designs_footer_template','vw_interior_designs-footer-one');
    if($vw_interior_designs_theme_lay == 'vw_interior_designs-footer-one'){
		$vw_interior_designs_custom_css .='#footer{';
			$vw_interior_designs_custom_css .='';
		$vw_interior_designs_custom_css .='}';

	}else if($vw_interior_designs_theme_lay == 'vw_interior_designs-footer-two'){
		$vw_interior_designs_custom_css .='#footer{';
			$vw_interior_designs_custom_css .='background: linear-gradient(to right, #f9f8ff, #dedafa);';
		$vw_interior_designs_custom_css .='}';
		$vw_interior_designs_custom_css .='#footer p, #footer li a, #footer, #footer h3, #footer a.rsswidget, #footer #wp-calendar a, .copyright a, #footer .custom_details, #footer ins span, #footer .tagcloud a, .main-inner-box span.entry-date a, nav.woocommerce-MyAccount-navigation ul li:hover a, #footer ul li a, #footer table, #footer th, #footer td, #footer caption, #sidebar caption,#footer nav.wp-calendar-nav a,#footer .search-form .search-field{';
			$vw_interior_designs_custom_css .='color:#000;';
		$vw_interior_designs_custom_css .='}';
		$vw_interior_designs_custom_css .='#footer ul li::before{';
			$vw_interior_designs_custom_css .='background:#000;';
		$vw_interior_designs_custom_css .='}';
		$vw_interior_designs_custom_css .='#footer table, #footer th, #footer td,#footer .search-form .search-field,#footer .tagcloud a{';
			$vw_interior_designs_custom_css .='border: 1px solid #000;';
		$vw_interior_designs_custom_css .='}';

	}else if($vw_interior_designs_theme_lay == 'vw_interior_designs-footer-three'){
		$vw_interior_designs_custom_css .='#footer{';
			$vw_interior_designs_custom_css .='background: #232524;';
		$vw_interior_designs_custom_css .='}';
	}
	else if($vw_interior_designs_theme_lay == 'vw_interior_designs-footer-four'){
		$vw_interior_designs_custom_css .='#footer{';
			$vw_interior_designs_custom_css .='background: #f7f7f7;';
		$vw_interior_designs_custom_css .='}';
		$vw_interior_designs_custom_css .='#footer p, #footer li a, #footer, #footer h3, #footer a.rsswidget, #footer #wp-calendar a, .copyright a, #footer .custom_details, #footer ins span, #footer .tagcloud a, .main-inner-box span.entry-date a, nav.woocommerce-MyAccount-navigation ul li:hover a, #footer ul li a, #footer table, #footer th, #footer td, #footer caption, #sidebar caption,#footer nav.wp-calendar-nav a,#footer .search-form .search-field{';
			$vw_interior_designs_custom_css .='color:#000;';
		$vw_interior_designs_custom_css .='}';
		$vw_interior_designs_custom_css .='#footer ul li::before{';
			$vw_interior_designs_custom_css .='background:#000;';
		$vw_interior_designs_custom_css .='}';
		$vw_interior_designs_custom_css .='#footer table, #footer th, #footer td,#footer .search-form .search-field,#footer .tagcloud a{';
			$vw_interior_designs_custom_css .='border: 1px solid #000;';
		$vw_interior_designs_custom_css .='}';
	}
	else if($vw_interior_designs_theme_lay == 'vw_interior_designs-footer-five'){
		$vw_interior_designs_custom_css .='#footer{';
			$vw_interior_designs_custom_css .='background: linear-gradient(to right, #01093a, #2d0b00);';
		$vw_interior_designs_custom_css .='}';
	}

	$vw_interior_designs_responsive_preloader_hide = get_theme_mod('vw_interior_designs_responsive_preloader_hide',false);
	if($vw_interior_designs_responsive_preloader_hide == true && get_theme_mod('vw_interior_designs_loader_enable',false) == false){
		$vw_interior_designs_custom_css .='@media screen and (min-width:575px){
			#preloader{';
			$vw_interior_designs_custom_css .='display:none !important;';
		$vw_interior_designs_custom_css .='} }';
	}

	if($vw_interior_designs_responsive_preloader_hide == false){
		$vw_interior_designs_custom_css .='@media screen and (max-width:575px){
			#preloader{';
			$vw_interior_designs_custom_css .='display:none !important;';
		$vw_interior_designs_custom_css .='} }';
	}

	$vw_interior_designs_bradcrumbs_alignment = get_theme_mod( 'vw_interior_designs_bradcrumbs_alignment','Left');
    if($vw_interior_designs_bradcrumbs_alignment == 'Left'){
    	$vw_interior_designs_custom_css .='@media screen and (min-width:768px) {';
		$vw_interior_designs_custom_css .='.bradcrumbs{';
			$vw_interior_designs_custom_css .='text-align:start;';
		$vw_interior_designs_custom_css .='}}';
	}else if($vw_interior_designs_bradcrumbs_alignment == 'Center'){
		$vw_interior_designs_custom_css .='@media screen and (min-width:768px) {';
		$vw_interior_designs_custom_css .='.bradcrumbs{';
			$vw_interior_designs_custom_css .='text-align:center;';
		$vw_interior_designs_custom_css .='}}';
	}else if($vw_interior_designs_bradcrumbs_alignment == 'Right'){
		$vw_interior_designs_custom_css .='@media screen and (min-width:768px) {';
		$vw_interior_designs_custom_css .='.bradcrumbs{';
			$vw_interior_designs_custom_css .='text-align:end;';
		$vw_interior_designs_custom_css .='}}';
	}
